Skip to main content
GET
Get the AI risk findings
Key: Read Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Query Parameters

toolKey
string

Keep the findings of one tool

deviceId
string

Keep the findings of one device

kind
enum<string>

Kind of the tool the finding is on, or instruction_file

Available options:
assistant_app,
coding_agent,
ide_plugin,
browser_extension,
mcp_server,
instruction_file
rule
string

A rule's code, e.g. plaintext_secret

severity
enum<string>[]

Keep the findings of these severities (repeat the param or comma separate)

Available options:
critical,
high,
medium,
low
page
number

Page number

perPage
number

Number of items per page (max 100)

Response

default - application/json
data
object[]
required
pagination
object
required